View Issue Details

IDProjectCategoryLast Update
0019180AI War 2[All Projects] Audio WorkJul 14, 2017 2:56 pm
Reporterx4000BughunterAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0019180: Audio warning triggers.
DescriptionKeith, I have a variety of "hey something is going on" audio triggers that are available and voice-recorded now. I need the game to say basically "play that audio type please," and then I can hook that in.

The audio hook side will do its part to not play individual lines too frequently, and there will simply be silence if it would be playing it too frequently. This is all configurable in the AIWarGUIAndModding project by whoever.

At any rate, the triggers I came up with are:

- Hacking starting.
- Hacking finished.
- Hacking succeeded (if there's any difference).
- Hacking failed.

- Science exhausted at a planet.
- Low on fuel somewhere.
- Low on power somewhere.

- Our ships are being damaged in enemy territory.
- Our ships are being damaged in neutral territory.
- Our ships are being damaged on a "border world," interpret as you wish.

- Ark's shields are down.
- Ark hull taking damage.
- Ark shields taking damage.

- Major enemy force in our territory.
- Enemy wave arrived.
- Cross Planet Attack started.

- We lost a planet.
TagsNo tags attached.

Relationships

related to 0019116 assignedkeith.lamothe Warning message when AI attacks a planet 
child of 0019183 assignedkeith.lamothe Other audio triggers. 

Activities

keith.lamothe

Jul 14, 2017 2:56 pm

administrator   ~0046394

In for 0.502

Issue History

Date Modified Username Field Change
Jun 19, 2017 9:05 pm x4000Bughunter New Issue
Jun 19, 2017 9:05 pm x4000Bughunter Status new => assigned
Jun 19, 2017 9:05 pm x4000Bughunter Assigned To => keith.lamothe
Jun 19, 2017 9:06 pm x4000Bughunter Relationship added related to 0019116
Jun 21, 2017 2:09 pm x4000Bughunter Relationship added child of 0019183
Jul 14, 2017 2:56 pm keith.lamothe Status assigned => resolved
Jul 14, 2017 2:56 pm keith.lamothe Resolution open => fixed
Jul 14, 2017 2:56 pm keith.lamothe Note Added: 0046394